fuss-client - Segnalazione #325

fuss-client -a termina con 1 errore
06/22/2017 09:59 AM - Paolo Baratta

Status: Chiuso Start date: 06/22/2017
Priority: Alta Due date:

Assignee: Paolo Baratta % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Non saprei se il problema ¢ lo stesso segnalato da Cemin.

La versione del pacchetto fuss-client & 8.0.12 (client appena aggiornato)
Anche il server & stato appena aggiornato. Queste le versioni dei pacchetti octo* :

i octofuss-client 8.0.13-1 all OctoFuss client

i octofussctl 0.3.2-1 all command line Octofuss client

i octofussd 8.0.30-1 all server for remote computer lab administration
ii octomon-sender 8.2 all Octomon sender tool

i octonet 0.2.14-1 all OctoNet

i python-octomon 8.0-1 all python modules to work with Octomon

i python3-octofuss 1.6.6-1 all Python modules to work with Octofuss

DI SEGUITO IL TESTO DELL'ERRORE:

TASK [homes : Remount /home] ** e *
fatal: [localhost]: FAILED! => {"changed": true, "cmd": ["systemctl", "start", "home.mount"], "delta": "0:00:00.051277", "end":
"2017-06-22 09:44:01.165908", "failed": true, "rc": 1, "start": "2017-06-22 09:44:01.114631", "stderr": "Job for home.mount failed. See

'systemctl status home.mount' and 'journalctl -xn' for details.", "stdout": ™", "stdout_lines": [], "warnings": [1}
to retry, use: --limit @/usr/share/fuss-client/connect.retry

PLAY RECAP ******
localhost :0k=61 changed=20 unreachable=0 failed=1

History

#1 - 06/22/2017 10:00 AM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from Christopher R. Gabriel to Paolo Baratta

Come indicato dall'errore stesso, puoi mandare I'output di

# systemctl status home.mount

e magari, se possibile, anche I'output completo del comando come indicato su https://work.fuss.bz.it/projects/server/wiki/Bug_Reporting pero' per il
comando fuss-client

#2 - 06/22/2017 10:43 AM - Paolo Baratta
- File typescript added
https://work.fuss.bz.it/projects/server/wiki/Bug_Reporting

Eccolo:

root@clientj-1:~# systemctl -| status home.mount

[ home.mount - "Mount /home"

Loaded: loaded (/etc/systemd/system/home.mount; enabled)

Active: failed (Result: exit-code) since gio 2017-06-22 09:44:01 CEST; 42min ago

Where: /home

What: 172.16.0.1:/home

Process: 3915 ExecMount=/bin/mount -n 172.16.0.1:/home /home -t nfs4 -0 defaults,rsize=8192,wsize=8192,noatime,sec=krb5 (code=exited,
status=32)

giu 22 09:44:01 clientj-1 mount®*'®: mount.nfs4: access denied by server while mounting 172.16.0.1:/home
giu 22 09:44:01 clientj-1 systemd': home.mount mount process exited, code=exited status=32

giu 22 09:44:01 clientj-1 systemd': Failed to mount "Mount /home".

giu 22 09:44:01 clientj-1 systemd': Unit home.mount entered failed state.

#3 - 06/22/2017 10:46 AM - Paolo Baratta

Di seguito anche I'esito dell'altro comando consigliato:

root@clientj-1:/tmp# journalct! xa

- Logs begin at gio 2017-06-22 09:39:55 CEST, end at gio 2017-06-22 10:42:06 CEST. --
giu 22 10:35:20 clientj-1 twistd3°%: INFO USING CONF FILE /etc/octofuss-client/server.conf
giu 22 10:35:20 clientj-1 twistd3°%: INFO

giu 22 10:37:35 clientj-1 dhclient'®*®: DHCPREQUEST on eth0 to 172.16.0.1 port 67

giu 22 10:37:35 clientj-1 dhclient'®*®: DHCPACK from 172.16.0.1

giu 22 10:37:35 clientj-1 dhclient'®*: bound to 172.16.1.51 -- renewal in 270 seconds.

giu 22 10:40:20 clientj-1 twistd3°%: INFO USING CONF FILE /etc/octofuss-client/server.conf
giu 22 10:40:20 clientj-1 twistd3%: INFO

giu 22 10:42:06 clientj-1 dhclient'®®*®: DHCPREQUEST on eth0 to 172.16.0.1 port 67

giu 22 10:42:06 clientj-1 dhclient'®*%: DHCPACK from 172.16.0.1

giu 22 10:42:06 clientj-1 dhclient'®*®: bound to 172.16.1.51 -- renewal in 262 seconds.

#4 - 06/22/2017 12:29 PM - Christopher R. Gabriel

- Assignee changed from Paolo Baratta to Elena Grandi

#5 - 06/26/2017 10:15 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Baratta

Non sono sicura che sia lo stesso problema di #323 (non lo sembra), ma di sicuro & sulla parte di codice che & stata abbastanza modificata per quel
ticket.

Non riesco pero a capire se il typescript sia relativo alla prima esecuzione in cui si & presentato il problema o ad una successiva: sembra che in
questa esecuzione le chiavi non siano state generate (per cui € corretto che venga rifiutato il permesso di montare le home)
https://work.fuss.bz.it/issues/323

Dato che la generazione delle chiavi € stata nel frattempo modificata anche per #323 sarebbe meglio riprovare con le nuove versioni di fuss-server
(8.0.16-1) e fuss-client (8.0.13 - che richiede un fuss-server aggiornato). Per far rigenerare la chiave, se presente cancellare il file /etc/krb.keytab sul
client.

#6 - 09/28/2017 10:26 AM - Elena Grandi

Dato che questo problema si & presentato numerose versioni fa del pacchetto, credo che le informazioni di questo ticket non siano piu rilevanti: lo si
potrebbe chiudere?

Problemi simili sono gia stati risolti o sono in fase di risoluzione su altri ticket, con informazioni aggiornate.

#7 - 07/27/2018 05:51 PM - Paolo Dongilli

- Status changed from Commenti to Chiuso

Chiudo perché vecchio.

Files

typescript 14.8 KB 06/22/2017 Paolo Baratta
